import type { PropType } from "vue";
import type { TableComponentType } from "./editColumn/components";
import type { ETableColumnCtx } from "./types/table-column";

export const EditItemProps = {
  originalValue: {
    type: [String, Number, Object] as PropType<any>,
    default: "",
  },
  showValue: {
    type: [String, Number] as PropType<any>,
    default: "",
  },
  index: {
    type: Number as PropType<number>,
    default: 0,
  },
  row: {
    type: Object as PropType<Recordable>,
    default: () => ({}),
  },
  column: {
    type: Object as PropType<ETableColumnCtx>,
    default: () => ({}),
  },
  editType: {
    type: String as PropType<TableComponentType>,
  },
};
