import type { TableComponentType } from "../editColumn/components";
import type {
  ETableColumnCtx,
  ETableColumnEditInfo,
  ETableColumnInfo,
} from "./table-column";

export const defaultEditColumnBasicAttrs: Pick<
  ETableColumnEditInfo,
  "canEdit" | "placeValue" | "editType" | "alwaysShowEdit"
> = {
  canEdit: false,
  placeValue: "--",
  editType: "Input",
  alwaysShowEdit: false,
};

export interface EditColumnProps {
  index?: number;
  column?: ETableColumnCtx;
  row?: Recordable;
  columnInfo?: ETableColumnInfo;
  columnAttribute?: ETableColumnCtx;
  editInfo?: ETableColumnEditInfo;
}

export interface EditComponentProps {
  originalValue?: string;
  showValue?: string;
  index?: number;
  row?: Recordable;
  column?: ETableColumnCtx;
  editType?: TableComponentType;
  [key: string]: any;
}
